<?

//-------------------------------fim da autenticação---------------------//

    include("authentication.php");

	//include("conexao.php");

	//include ("funcao_fonetica.php");

    require("funcoes.php");	

	

	$login =  $_SESSION["login"];  

//-------------------------------fim da autenticação---------------------//



// -------------------- Inclusão/Alteração/exclusão ------------------------------

if ($_POST['campo_funcao'] == "inc"){



  $result = mysqli_query($conexao,"insert into bairros SET 

  bairro='".valida_caracteres($_POST["bairro"])."',

  cidade='".valida_caracteres($_POST["cidade"])."'

  ") or die (mysqli_error($conexao));

  $id_insert = mysqli_insert_id();

              savelog($login, "Inseriu novo bairro: $id_insert.");

}

else if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "")){

   

  $result = mysqli_query($conexao,"UPDATE bairros SET 

  bairro='".valida_caracteres($_POST["bairro"])."',

  cidade='".valida_caracteres($_POST["cidade"])."'

  where id='".valida_caracteres($_POST["id"])."'") or die(mysqli_error($conexao));



              savelog($login, "Alterou dados do bairro com código: $_POST[id].");

}

else if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "exc")){

  $result = mysqli_query($conexao,"DELETE FROM bairros WHERE id = '$_POST[id]'") or die(mysqli_error($conexao));

  

              savelog($login, "Excluiu a bairro com o código: $_POST[id].");

}



$alerta = $_POST['campo_funcao']."alt".$_POST['funcao_exc'];

?>

<html>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title>bairros</title>

<meta name="Description" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<meta name="Keywords" content="">

<script language="JavaScript">

<!--

function Redireciona(){

  <? if (isset($_POST['campo_funcao'])){

 

       if ($_POST['campo_funcao'] == "inc"){

	     $time = time();   // P/ forçar a atualização da página... (não abrir do cache)

	     echo "open('cad_bairro_alt.php?time=$time', '_top');";

	   }else if ($_POST['campo_funcao'] == "alt")

	   	   if($_POST['funcao_exc'] == ""){

	       echo "open('cad_bairro_alt.php?id=$_POST[id]', '_top');";  

           }else{

	       echo "open('lista_bairros.php', '_top');";

           }   



      }

  ?>

 // alert("<? echo $alerta ?>");

}

-->

</script>

</head>

<body onLoad="JavaScript:Redireciona()">  

	  



</body>

</html>

